package com.iamberry.wechat.core.entity.rewards;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员分销奖励记录表 实体
 * 2016年9月20日
 * @author Administrator
 *
 */
public class RewardsLog implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4137749266839876847L;
	
	private Integer logsId; 				//id
	private Integer logsRankId;				//会员等级表id
	private String logsUserOpenId; 			//会员openId
	private Integer logsProductType;		//商品类型	
	private Integer logsNum;				//商品数量
	
	private Integer logsMoney;				//奖励金额/每台
	private String logsDesc;				//奖励描述
	private Date logsCreateTime;			//创建时间
	
	public Integer getLogsId() {
		return logsId;
	}
	public void setLogsId(Integer logsId) {
		this.logsId = logsId;
	}
	public Integer getLogsRankId() {
		return logsRankId;
	}
	public void setLogsRankId(Integer logsRankId) {
		this.logsRankId = logsRankId;
	}
	public String getLogsUserOpenId() {
		return logsUserOpenId;
	}
	public void setLogsUserOpenId(String logsUserOpenId) {
		this.logsUserOpenId = logsUserOpenId;
	}
	public Integer getLogsProductType() {
		return logsProductType;
	}
	public void setLogsProductType(Integer logsProductType) {
		this.logsProductType = logsProductType;
	}
	public Integer getLogsNum() {
		return logsNum;
	}
	public void setLogsNum(Integer logsNum) {
		this.logsNum = logsNum;
	}
	public Integer getLogsMoney() {
		return logsMoney;
	}
	public void setLogsMoney(Integer logsMoney) {
		this.logsMoney = logsMoney;
	}
	public String getLogsDesc() {
		return logsDesc;
	}
	public void setLogsDesc(String logsDesc) {
		this.logsDesc = logsDesc;
	}
	public Date getLogsCreateTime() {
		return logsCreateTime;
	}
	public void setLogsCreateTime(Date logsCreateTime) {
		this.logsCreateTime = logsCreateTime;
	} 
	
}
